Page MenuHomePhabricator

[PPCInstPrinter] Print conditional branches as `bt 2, $target` instead of `bt 2, .+$imm`
ClosedPublic

Authored by MaskRay on Mar 27 2020, 12:49 AM.

Diff Detail

Event Timeline

MaskRay created this revision.Mar 27 2020, 12:49 AM

I'm out of my depth here, so can't realistically review this. Sorry.

I did see that the harbourmaster tests failed though. Are they related?

MaskRay updated this revision to Diff 253689.Mar 30 2020, 1:43 PM

Fix lld/ELF/ppc* tests

I'm out of my depth here, so can't realistically review this. Sorry.

I did see that the harbourmaster tests failed though. Are they related?

lld/test/ELF/ppc* need fixing. Since there were not many, I just fixed them. I worried people may have different ideas on the output.

sfertile accepted this revision.Mar 31 2020, 2:52 PM

1 comment, but otherwise LGTM.

llvm/lib/Target/PowerPC/Disassembler/PPCDisassembler.cpp
63

Minor nit: Maybe decodeCondBrTarget since condition branches have other operands.

This revision is now accepted and ready to land.Mar 31 2020, 2:52 PM
MaskRay updated this revision to Diff 254013.Mar 31 2020, 3:01 PM

Change decodeCondBrOperand to decodeCondBrTarget

This revision was automatically updated to reflect the committed changes.
MaskRay marked an inline comment as done.Mar 31 2020, 3:29 PM